Ports - Bug #178

[glibc] 2.16.0-3 check fails; no JMPREL in libraries built
2012-08-22 08:31 AM - mtjm

Status: open % Done: 0%
Priority: bug

Assignee:

Category:

Description

LC_ALL=C gawk -f ../scripts/localplt.awk /build/src/glibc-build/libc.so.jmprel /build/src/glibc-bu
ild/math/libm.so.jmprel /build/src/glibc-build/rt/librt.so.jmprel /build/src/glibc-build/dlfcn/lib
dl.so.jmprel /build/src/glibc-build/resolv/libresolv.so.jmprel /build/src/glibc-build/crypt/libcry
pt.so.jmprel /build/src/glibc-build/nptl/libpthread.so.jmprel | \
LC_ALL=C gawk —-f ../scripts/check-localplt.awk ../scripts/data/localplt—-generic.data - \
> /build/src/glibc-build/elf/check-localplt.out
Unexpected output from check-localplt: /build/src/glibc-build/math/libm.so.jmprel: *** failed to f
ind expected output (readelf -WSdr)
Unexpected output from check-localplt: /build/src/glibc-build/rt/librt.so.jmprel: *** failed to fi
nd expected output (readelf -WSdr)
Unexpected output from check-localplt: /build/src/glibc-build/dlfcn/libdl.so.jmprel: *** failed to
find expected output (readelf -WSdr)
Unexpected output from check-localplt: /build/src/glibc-build/resolv/libresolv.so.jmprel: *** fail
ed to find expected output (readelf -WSdr)
Unexpected output from check-localplt: /build/src/glibc-build/crypt/libcrypt.so.jmprel: *** failed
to find expected output (readelf -WSdr)
Unexpected output from check-localplt: /build/src/glibc-build/nptl/libpthread.so.jmprel: *** faile
d to find expected output (readelf -WSdr)
make[2]: *** [/build/src/glibc-build/elf/check-localplt.out] Error 1

Logs are too big to upload here:

e https://mtjm.eu/patches/glibc-2.16.0-3-mips64el-build.log * hitps:/mtjm.eu/patches/glibc-2.16.0-3-mips64el-check.log

History

#2 - 2012-08-22 08:56 AM - mtjm
2.15-10, 2.15-11, 2.15-12, 2.16.0-1 and 2.16.0-2 also have this issue, | don't have older packages to check.

#3 - 2012-10-31 10:04 AM - fauno
Adding 2.16.0-5 check logs, though the problem seems different

#4 - 2016-05-11 11:58 PM - Anonymous

- Project changed from 3 to Ports

Files
packages 2.09 KB 2012-08-22 mtjm
glibc-2.16.0-5-mips64el-check.log.tar.xz 12.7 KB 2012-10-31 fauno
